VOS_CHANGELOC(1)

NAME
vos_changeloc - Change a volume's entry in the VLDB

SYNOPSIS
vos changeloc [-server] <new server name>
   [-partition] <new partition location>
   [-id] <volume name or ID>
   [-cell <cell name>] [-noauth] [-localauth]
   [-verbose] [-encrypt] [-noresolve]
   [-config <config directory>]
   [-help]

vos changel [-s] <new server name>
   [-p] <new partition location>
   [-i] <volume name or ID>
   [-c <cell name>]
   [-noa] [-l] [-v] [-e] [-nor]
   [-co <config directory>]
   [-h]

DESCRIPTION
The vos changeloc command changes the location of a volume in the Volume Location Database (VLDB) without needing to contact the original file server on which the volume was hosted. This is useful when a file server has gone down permanently and the data that was stored on that server has been moved to a new file server with a different name and IP address (perhaps by mounting the same /vicepX partitions on a different host). After moving the data and running vos changeloc, run vos syncvldb and then vos syncserv against the new server to ensure full synchronization of the VLDB with the file server.

In essence, vos changeloc performs the same operations on the VLDB as vos move, but it does NOT move the data from one server's file system to another.

CAUTIONS
Using vos changeloc changes the VLDB without modifying the file server data, so it inherently causes the VLDB to be out of sync with the data on the servers. It should only be used when recovering from server failure. If the servers are on-line, vos move should be used instead. It is highly recommended that vos syncvldb and vos syncserv be run after using the vos changeloc command to ensure properly synchronization of the VLDB with the file servers.

OPTIONS
vos changeloc takes the following options:

-server <new server name>
    Specifies the new server where the VLDB should believe the volume resides. Provide the machine's IP address or its host name (either fully qualified or using an unambiguous abbreviation). For details, see vos(1).

-partition <partition name>
    Specifies the partition where the VLDB should believe the volume resides. Provide the -server argument along with this one. Provide the partition's complete name with preceding slash (for example, "/vicepa") or use one of the three acceptable abbreviated forms. For details, see vos(1).

-id <volume name or ID>
    Specifies the name or volume ID number on which to operate.

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see vos(1).

-noauth
    Assigns the unprivileged identity "anonymous" to the issuer. Do not combine this flag with the -localauth flag. For more details, see vos(1).

-localauth
    Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The vos command interpreter presents it to the Volume Server and Volume Location Server during mutual authentication. Do not combine this flag with the -cell argument or -noauth flag. For more details, see vos(1).

-verbose
    Produces on the standard output stream a detailed trace of the command's execution. If this argument is omitted, only warnings and error messages appear.

-encrypt
    Encrypts the command so that the operation's results are not transmitted across the network in clear text. This option is available in OpenAFS versions 1.4.11 or later and 1.5.60 or later.

-noresolve
    Shows all servers as IP addresses instead of the DNS name. This is very useful when the server address is registered as 127.0.0.1 or when dealing with multi-homed servers. This option is available in OpenAFS versions 1.4.8 or later and 1.5.35 or later.

-config <configuration directory>
    Set the location of the configuration directory to be used. This defaults to /usr/vice/etc, except if -localauth is specified, in which case the default is /usr/afs/etc. This option allows the use of alternative configuration locations for testing purposes.

-help
    Prints the online help for this command. All other valid options are ignored.

OUTPUT
vos changeloc shows a brief message upon completion:

   Changed location to server2 /vicepa for volume user.jdoe

EXAMPLES
The following command changes the location of the "user.jdoe" volume to be /vicepa on the file server machine "server2" while being verbose:

   % vos changeloc server2 a user.jdoe -verbose
    done
   Changed location to server2 /vicepa for volume user.jdoe

The following command changes the location of the "user.jdoe" volume to be /vicepa on "server1" without being verbose:

   % vos changeloc server1 a user.jdoe
   Changed location to server1 /vicepa for volume user.jdoe

PRIVILEGE REQUIRED
The issuer must be listed in the /usr/afs/etc/UserList file on each database server machine. If the -localauth flag is included, the issuer must instead be logged on to a server machine as the local superuser "root".

SEE ALSO
vos(1), vos_move(1), vos_syncserv(1), vos_syncvldb(1)

COPYRIGHT
Copyright 2007 Jason Edgecombe <jason@rampaginggeek.com>

This documentation is covered by the BSD License as written in the doc/LICENSE file. This man page was written by Jason Edgecombe for OpenAFS.